// dss_other.cpp
// Implements the existing suspension-oblivious and suspension-aware analysis approaches

#pragma once
#include "models.h"
#include <vector>

namespace dss_other {
	// Suspension-oblivious analysis for the case of implicit deadlines
	bool suspension_oblivious_analysis(const std::vector<DssTask> task_set);

	// Suspension-oblivious analysis for the case of constrained deadlines
	bool suspension_oblivious_rta(const std::vector<DssTask> task_set);

	// Suspension-aware analysis by Guenzel et al. ("Suspension-aware earliest-deadline-first scheduling analysis", TCAD, 2020)
	bool suspension_aware_rta(const std::vector<DssTask> task_set);
}
