// test.cpp
// Run unit tests from project modules

#include "test.h"
#include "models.h"
#include "rta.h"
#include "dss_rta.h"
#include "experiments.h"

// Runs all available unit tests
bool test::run_tests()
{
	bool status = true;

	std::cout << "Models test starting..." << std::endl;
	if (models::test()) {
		std::cout << "Models test succeeded" << std::endl;
	}
	else {
		std::cout << "Models test failed" << std::endl;
		status = false;
	}

	std::cout << "RTA test starting..." << std::endl;
	if (rta::test()) {
		std::cout << "RTA test succeeded" << std::endl;
	}
	else {
		std::cout << "RTA test failed" << std::endl;
		status = false;
	}

	std::cout << "DSS RTA test starting..." << std::endl;
	if (dss_rta::test()) {
		std::cout << "DSS RTA test succeeded" << std::endl;
	}
	else {
		std::cout << "DSS RTA test failed" << std::endl;
		status = false;
	}

	std::cout << "Experiments test starting..." << std::endl;
	if (experiments::test()) {
		std::cout << "Experiments test succeeded" << std::endl;
	}
	else {
		std::cout << "Experiments test failed" << std::endl;
		status = false;
	}

	return status;
}
